/* Homepage -> Slider */
#slider {
  position: relative;
  width: 100%;
  height: calc(100vh - 4.5rem);
  margin: 0 auto;
  background-color: var(--bg-body);
  background-image: url(../images/slider.png);
  background-repeat: no-repeat;
  background-position: center top;
  background-size: cover;
	overflow: hidden;
  z-index: 2;
}
.js-slider,
.js-slider-track {
  /* height: calc(100vh - 5rem); */
  height: calc(100vh - 6rem);
}
.js-slider {
  position: relative;
  overflow: hidden;
  width: 100%;
}

.js-slider-track {
  display: flex;
  align-items: center;
  transition: transform 0.5s ease;
  list-style: none;
  padding: 0;
  margin: 0;
  z-index: 5;
}
.js-slider-track > li {
  min-width: 100%;
}
/* Typography */
.js-slider-track h1,
.js-slider-track h2,
.js-slider-track h3 {
  font-size: 3rem;
  color:#ffffff;
  /*color: var(--bold-color);*/
}

.js-slider-track h3 {
  font-size: 1.8rem;
  color:#ffffff;
  /*color: var(--bold-color);*/
}

.js-slider button:hover,
.js-slider .button:hover,
.js-slider .button_two:hover,
.js-slider button:focus,
.js-slider .button_two:focus,
.js-slider .button:focus {
  background-color: #ffffff;
  border: 2px solid var(--navi-bg-primary);
  color: var(--navi-bg-primary);
}


.js-slider-track p {
  display: inline-block;
  padding: 0 10px;
  font-size: 1rem;
  /* background: #ffffff;*/
  background-color: var(--info-bg);
  /* background:#4575D4; */
  /*color: var(--bold-color);*/
  color: #ffffff;
}
/* Arrows */
.js-slider-arrow {
  position: absolute;
  bottom: 0;
  background: var(--color-dark);
  color: #ffffff;
  width: 2.5rem;
  height: 2.5rem;
  display: grid;
  place-content: center;
  border: 2px solid var(--color-dark);
  border-radius: 50%;
  padding: 0;
  cursor: pointer;
  cursor:
}
.js-slider-arrow:hover {
  border: 2px solid var(--color-dark);
}
.js-slider-prev { left: 0; }
.js-slider-next { right: 0; }

/* Dots */
.js-slider-dots {
  display: flex;
  justify-content: center;
  gap: 8px;
  height: 0.5rem;
  padding-bottom:8px;
  
}
.js-slider-dot {
  width: 0.5rem;
  height: 0.5rem;
  border-radius: 50%;
  /* background: #cccccc; */
  background: var(--bg-body);  
  cursor: pointer;
}
.js-slider-dot.active {
  /* background: var(--color-primary); */
  background: var(--info-bg);
}
/* For animation */
.active-slide {
  animation: fadeInUp 1s ease-out both 0.5s;
}
/* Fade In Up */
@keyframes fadeInUp {
  from {
    opacity: 0;
    transform: translateY(100%);
  }
  to {
    opacity: 1;
    transform: translateY(0);
  }
}

.fadeInUp {
  animation: fadeInUp 4s ease-out both;
}


@media screen and (max-width: 766px) { 
#slider {background-position: left top;}
 


.js-slider-track h1{ font-size:1.8rem;}
.js-slider-track h3{ font-size:1rem;}

}

@media only screen and (min-width: 767px) and (max-width: 1024px){
.js-slider-track h1{ font-size:1.8rem;}
.js-slider-track h3{ font-size:1rem;}
}


@media (max-width: 500px) {
#slider {height: calc(100vh - 6rem);}



#slider .container {display: flex;flex-direction: column; justify-content: center; align-items: center; }


li.active-slide {
  display: flex; /* Превращаем li во flex-контейнер */
  flex-direction: column; /* Располагаем дочерние элементы в столбик */
  align-items: center; /* Центрируем элементы по горизонтали */
  justify-content: center; /* Центрируем элементы по вертикали внутри li */
  text-align: center; /* Дополнительно для идеального центрирования текста */
}

.js-slider {max-width:300px;}
.js-slider-dots {position:absolute; top:calc(100vh - 8rem);}
.js-slider-arrow {position:absolute; top:calc(100vh - 9rem);}
}